Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.configuration
Class Keywords

    java.lang.Object
      org.jbehave.core.configuration.Keywords

Direct Known Subclasses:
  LocalizedKeywords

    public class Keywords

extends Object

Provides the keywords which allow parsers to find steps in stories and match those steps with candidates through the annotations. It provides the starting words (Given, When, Then And, "!--") using in parsing, as well as providing keywords used in reporting.

Nested Class Summary
`static class` | `Keywords.KeywordNotFound`
`static class` | `Keywords.StartingWordNotFound`

Field Summary
`static String` | `AND`
`static String` | `AS_A`
`static String` | `DRY_RUN`
`static String` | `DURATION`
`static String` | `EXAMPLES_TABLE`
`static String` | `EXAMPLES_TABLE_HEADER_SEPARATOR`
`static String` | `EXAMPLES_TABLE_IGNORABLE_SEPARATOR`
`static String` | `EXAMPLES_TABLE_ROW`
`static String` | `EXAMPLES_TABLE_VALUE_SEPARATOR`
`static String` | `FAILED`
`static String` | `GIVEN`
`static String` | `GIVEN_STORIES`
`static String` | `I_WANT_TO`
`static String` | `IGNORABLE`
`static String` | `IN_ORDER_TO`
`static List<String>` | `KEYWORDS`
`static String` | `META`
`static String` | `META_PROPERTY`
`static String` | `NARRATIVE`
`static String` | `NO`
`static String` | `NOT_PERFORMED`
`static String` | `OUTCOME_DESCRIPTION`
`static String` | `OUTCOME_MATCHER`
`static String` | `OUTCOME_VALUE`
`static String` | `OUTCOME_VERIFIED`
`static String` | `PENDING`
`static String` | `SCENARIO`
`static String` | `STORY_CANCELLED`
`static String` | `THEN`
`static String` | `WHEN`
`static String` | `YES`

Constructor Summary
`Keywords()` Creates Keywords with default values `defaultKeywords()`
`Keywords(Map<String,String> keywords)` Creates Keywords with provided keywords Map and Encoding

Method Summary
`String` | `and()`
`String` | `asA()`
`static Map<String,String>` | `defaultKeywords()`
`String` | `dryRun()`
`String` | `duration()`
`String` | `examplesTable()`
`String` | `examplesTableHeaderSeparator()`
`String` | `examplesTableIgnorableSeparator()`
`String` | `examplesTableRow()`
`String` | `examplesTableValueSeparator()`
`String` | `failed()`
`String` | `given()`
`String` | `givenStories()`
`String` | `ignorable()`
`String` | `inOrderTo()`
`boolean` | `isAndStep(String stepAsString)`
`boolean` | `isIgnorableStep(String stepAsString)`
`String` | `iWantTo()`
`String` | `meta()`
`String` | `metaProperty()`
`String` | `narrative()`
`String` | `no()`
`String` | `notPerformed()`
`List<String>` | `outcomeFields()`
`String` | `pending()`
`String` | `scenario()`
`String` | `startingWord(String stepAsString)`
`String` | `startingWord(String stepAsString, StepType stepType)`
`String` | `startingWordFor(StepType stepType)`
`String[]` | `startingWords()`
`Map<StepType,String>` | `startingWordsByType()`
`String[]` | `startingWordsFor(StepType stepType)`
`boolean` | `stepStartsWithWord(String step, String word)`
`StepType` | `stepTypeFor(String stepAsString)`
`String` | `stepWithoutStartingWord(String stepAsString, StepType stepType)`
`String` | `storyCancelled()`
`String[]` | `synonymsOf(String word)`
`String` | `then()`
`String` | `toString()`
`String` | `when()`
`String` | `yes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### META

    public static final String META

See Also:
  Constant Field Values

### META_PROPERTY

    public static final String META_PROPERTY

See Also:
  Constant Field Values

### NARRATIVE

    public static final String NARRATIVE

See Also:
  Constant Field Values

### IN_ORDER_TO

    public static final String IN_ORDER_TO

See Also:
  Constant Field Values

### AS_A

    public static final String AS_A

See Also:
  Constant Field Values

### I_WANT_TO

    public static final String I_WANT_TO

See Also:
  Constant Field Values

### SCENARIO

    public static final String SCENARIO

See Also:
  Constant Field Values

### GIVEN_STORIES

    public static final String GIVEN_STORIES

See Also:
  Constant Field Values

### EXAMPLES_TABLE

    public static final String EXAMPLES_TABLE

See Also:
  Constant Field Values

### EXAMPLES_TABLE_ROW

    public static final String EXAMPLES_TABLE_ROW

See Also:
  Constant Field Values

### EXAMPLES_TABLE_HEADER_SEPARATOR

    public static final String EXAMPLES_TABLE_HEADER_SEPARATOR

See Also:
  Constant Field Values

### EXAMPLES_TABLE_VALUE_SEPARATOR

    public static final String EXAMPLES_TABLE_VALUE_SEPARATOR

See Also:
  Constant Field Values

### EXAMPLES_TABLE_IGNORABLE_SEPARATOR

    public static final String EXAMPLES_TABLE_IGNORABLE_SEPARATOR

See Also:
  Constant Field Values

### GIVEN

    public static final String GIVEN

See Also:
  Constant Field Values

### WHEN

    public static final String WHEN

See Also:
  Constant Field Values

### THEN

    public static final String THEN

See Also:
  Constant Field Values

### AND

    public static final String AND

See Also:
  Constant Field Values

### IGNORABLE

    public static final String IGNORABLE

See Also:
  Constant Field Values

### PENDING

    public static final String PENDING

See Also:
  Constant Field Values

### NOT_PERFORMED

    public static final String NOT_PERFORMED

See Also:
  Constant Field Values

### FAILED

    public static final String FAILED

See Also:
  Constant Field Values

### DRY_RUN

    public static final String DRY_RUN

See Also:
  Constant Field Values

### STORY_CANCELLED

    public static final String STORY_CANCELLED

See Also:
  Constant Field Values

### DURATION

    public static final String DURATION

See Also:
  Constant Field Values

### OUTCOME_DESCRIPTION

    public static final String OUTCOME_DESCRIPTION

See Also:
  Constant Field Values

### OUTCOME_VALUE

    public static final String OUTCOME_VALUE

See Also:
  Constant Field Values

### OUTCOME_MATCHER

    public static final String OUTCOME_MATCHER

See Also:
  Constant Field Values

### OUTCOME_VERIFIED

    public static final String OUTCOME_VERIFIED

See Also:
  Constant Field Values

### YES

    public static final String YES

See Also:
  Constant Field Values

### NO

    public static final String NO

See Also:
  Constant Field Values

### KEYWORDS

    public static final List<String> KEYWORDS

Constructor Detail

### Keywords

    public Keywords()

  Creates Keywords with default values `defaultKeywords()`

### Keywords

    public Keywords(Map<String,String> keywords)

  Creates Keywords with provided keywords Map and Encoding

  Parameters:
    `keywords` - the Map of keywords indexed by their name

Method Detail

### defaultKeywords

    public static Map<String,String> defaultKeywords()

### meta

    public String meta()

### metaProperty

    public String metaProperty()

### narrative

    public String narrative()

### inOrderTo

    public String inOrderTo()

### asA

    public String asA()

### iWantTo

    public String iWantTo()

### scenario

    public String scenario()

### givenStories

    public String givenStories()

### examplesTable

    public String examplesTable()

### examplesTableRow

    public String examplesTableRow()

### examplesTableHeaderSeparator

    public String examplesTableHeaderSeparator()

### examplesTableValueSeparator

    public String examplesTableValueSeparator()

### examplesTableIgnorableSeparator

    public String examplesTableIgnorableSeparator()

### given

    public String given()

### when

    public String when()

### then

    public String then()

### and

    public String and()

### ignorable

    public String ignorable()

### pending

    public String pending()

### notPerformed

    public String notPerformed()

### failed

    public String failed()

### dryRun

    public String dryRun()

### storyCancelled

    public String storyCancelled()

### duration

    public String duration()

### outcomeFields

    public List<String> outcomeFields()

### yes

    public String yes()

### no

    public String no()

### synonymsOf

    public String[] synonymsOf(String word)

### startingWords

    public String[] startingWords()

### startingWordsByType

    public Map<StepType,String> startingWordsByType()

### isAndStep

    public boolean isAndStep(String stepAsString)

### isIgnorableStep

    public boolean isIgnorableStep(String stepAsString)

### stepWithoutStartingWord

    public String stepWithoutStartingWord(String stepAsString,
                                          StepType stepType)

### startingWord

    public String startingWord(String stepAsString,
                               StepType stepType)
                        throws Keywords.StartingWordNotFound

  Throws:
    `Keywords.StartingWordNotFound`

### startingWord

    public String startingWord(String stepAsString)
                        throws Keywords.StartingWordNotFound

  Throws:
    `Keywords.StartingWordNotFound`

### stepTypeFor

    public StepType stepTypeFor(String stepAsString)
                         throws Keywords.StartingWordNotFound

  Throws:
    `Keywords.StartingWordNotFound`

### stepStartsWithWord

    public boolean stepStartsWithWord(String step,
                                      String word)

### startingWordFor

    public String startingWordFor(StepType stepType)

### startingWordsFor

    public String[] startingWordsFor(StepType stepType)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.